%define fontname kacst
Name:		%{fontname}-fonts
Version:	2.0
Release:	22
Summary:	Fonts for arabic from arabeyes projec
License:	GPLv2
URL:		https://github.com/gooselinux/kacst-fonts

Source0:	http://downloads.sourceforge.net/sourceforge/arabeyes/%{fontname}_fonts_%{version}.tar.bz2
Source1: 	67-%{fontname}-art.conf
Source2: 	67-%{fontname}-book.conf
Source3: 	67-%{fontname}-decorative.conf
Source4: 	67-%{fontname}-digital.conf
Source5: 	67-%{fontname}-farsi.conf
Source6: 	67-%{fontname}-letter.conf
Source7: 	67-%{fontname}-naskh.conf
Source8: 	67-%{fontname}-office.conf
Source9: 	67-%{fontname}-one.conf
Source10: 	67-%{fontname}-pen.conf
Source11:	67-%{fontname}-poster.conf
Source12: 	67-%{fontname}-qurn.conf
Source13: 	67-%{fontname}-screen.conf
Source14: 	67-%{fontname}-title.conf
Source15: 	67-%{fontname}-titlel.conf

BuildArch: 	noarch
BuildRequires:	dos2unix fontpackages-devel > 1.13
Obsoletes: 	fonts-arabic <= 2.1-2

%description
Fonts for arabic from arabeyes project

%package common
Summary:  Common files for kacst-fonts
Requires: fontpackages-filesystem

%description common
Fonts for arabic from arabeyes project

%package -n %{fontname}-book-fonts
Summary: Fonts for arabic from arabeyes project
Requires: %{name}-common = %{version}-%{release}
License: GPLv2
Provides: %{name} = %{version}-%{release}
Obsoletes: %{name} < 2.0-3
Provides: %{fontname}-digital-fonts = %{version}-%{release}
Obsoletes: %{fontname}-digital-fonts < %{version}-%{release}
Provides: %{fontname}-letter-fonts = %{version}-%{release}
Obsoletes: %{fontname}-letter-fonts < %{version}-%{release}
Provides: %{fontname}-office-fonts = %{version}-%{release}
Obsoletes: %{fontname}-office-fonts < %{version}-%{release}
Provides: %{fontname}-pen-fonts = %{version}-%{release}
Obsoletes: %{fontname}-pen-fonts < %{version}-%{release}
Provides: %{fontname}-qurn-fonts = %{version}-%{release}
Obsoletes: %{fontname}-qurn-fonts < %{version}-%{release}
Provides: %{fontname}-titlel-fonts = %{version}-%{release}
Obsoletes: %{fontname}-titlel-fonts < %{version}-%{release}
Provides: %{fontname}-art-fonts = %{version}-%{release}
Obsoletes: %{fontname}-art-fonts < %{version}-%{release}
Provides: %{fontname}-decorative-fonts = %{version}-%{release}
Obsoletes: %{fontname}-decorative-fonts < %{version}-%{release}
Provides: %{fontname}-farsi-fonts = %{version}-%{release}
Obsoletes: %{fontname}-farsi-fonts < %{version}-%{release}
Provides: %{fontname}-naskh-fonts = %{version}-%{release}
Obsoletes: %{fontname}-naskh-fonts < %{version}-%{release}
Provides: %{fontname}-one-fonts = %{version}-%{release}
Obsoletes: %{fontname}-one-fonts < %{version}-%{release}
Provides: %{fontname}-poster-fonts = %{version}-%{release}
Obsoletes: %{fontname}-poster-fonts < %{version}-%{release}
Provides: %{fontname}-screen-fonts = %{version}-%{release}
Obsoletes: %{fontname}-screen-fonts < %{version}-%{release}
Provides: %{fontname}-title-fonts = %{version}-%{release}
Obsoletes: %{fontname}-title-fonts < %{version}-%{release}

%description -n %{fontname}-book-fonts
Fonts for arabic from arabeyes project


%prep
%autosetup -n KacstArabicFonts-%{version} -p1
find . -not -name \*.ttf -type f -exec dos2unix -k {} \;

%build

%install
install -m 0755 -d %{buildroot}%{_datadir}/fonts/%{fontname}
install -m 0644 -p *.ttf %{buildroot}%{_datadir}/fonts/%{fontname}
install -m 0755 -d %{buildroot}%{_datadir}/fontconfig/conf.avail
install -m 0755 -d %{buildroot}%{_sysconfdir}/fonts/conf.d

pushd %{buildroot}%{_datadir}/fontconfig/conf.avail
install -m 0644 -p %{SOURCE1} 67-%{fontname}-art.conf
install -m 0644 -p %{SOURCE2} 67-%{fontname}-book.conf
install -m 0644 -p %{SOURCE3} 67-%{fontname}-decorative.conf
install -m 0644 -p %{SOURCE4} 67-%{fontname}-digital.conf
install -m 0644 -p %{SOURCE5} 67-%{fontname}-farsi.conf
install -m 0644 -p %{SOURCE6} 67-%{fontname}-letter.conf
install -m 0644 -p %{SOURCE7} 67-%{fontname}-naskh.conf
install -m 0644 -p %{SOURCE8} 67-%{fontname}-office.conf
install -m 0644 -p %{SOURCE9} 67-%{fontname}-one.conf
install -m 0644 -p %{SOURCE10} 67-%{fontname}-pen.conf
install -m 0644 -p %{SOURCE11} 67-%{fontname}-poster.conf
install -m 0644 -p %{SOURCE12} 67-%{fontname}-qurn.conf
install -m 0644 -p %{SOURCE13} 67-%{fontname}-screen.conf
install -m 0644 -p %{SOURCE14} 67-%{fontname}-title.conf
install -m 0644 -p %{SOURCE15} 67-%{fontname}-titlel.conf
popd

for fconf in 67-%{fontname}-art.conf \
		67-%{fontname}-book.conf \
		67-%{fontname}-decorative.conf \
		67-%{fontname}-digital.conf \
		67-%{fontname}-farsi.conf \
		67-%{fontname}-letter.conf \
		67-%{fontname}-naskh.conf \
		67-%{fontname}-office.conf \
		67-%{fontname}-one.conf \
		67-%{fontname}-pen.conf \
		67-%{fontname}-poster.conf \
		67-%{fontname}-qurn.conf \
		67-%{fontname}-screen.conf \
		67-%{fontname}-title.conf \
		67-%{fontname}-titlel.conf 
do
  ln -s %{_datadir}/fontconfig/conf.avail/$fconf \
	%{buildroot}%{_sysconfdir}/fonts/conf.d/$fconf
done

%files common
%defattr(-,root,root)
%doc README
%license Copyright LICENSE
%dir %{_datadir}/fonts/%{fontname}

%files -n %{fontname}-book-fonts
%defattr(-,root,root)
%{_datadir}/fonts/kacst/*.ttf
%{_datadir}/fontconfig/conf.avail/67-%{fontname}-*.conf
%{_sysconfdir}/fonts/conf.d/67-%{fontname}-*.conf

%changelog
* Thu Jan 16 2020 sunguoshuai <sunguoshuai@huawei.com> - 2.0.22
- remove unwanted xml files.

* Mon Nov 25 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.0-21
- Package init
